Loading...
Searching...
No Matches
wayland::server::global_base_t Class Reference

`#include <wayland-server.hpp>`

Inheritance diagram for wayland::server::global_base_t:
[legend]

## Public Member Functions

template<typename resource >
bool | has_interface ()

## Detailed Description

Global object base class

Definition at line 580 of file wayland-server.hpp.

## Member Function Documentation

## has_interface()

template<typename resource >

bool wayland::server::global_base_t::has_interface | ( |  | ) |

inline

Check for specific interface.

Template Parameters

  resource | Resource class for comparison

Returns
  true if the global has the same interface as the resource class

Definition at line 614 of file wayland-server.hpp.

The documentation for this class was generated from the following file:

- include/wayland-server.hpp